com.holonplatform.datastore.jpa.jpql.expression

## Interface JPQLParameter<T>

- Type Parameters:
    `T` - Parameter type
  All Superinterfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.TypedExpression<T>

      public interface JPQLParameter<T>
      extends com.holonplatform.core.TypedExpression<T>

  JPQL statement parameter definition.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> JPQLParameter<T>` | `create(T value, Class<? extends T> type)` Create a new `JPQLParameter`.
    `static <T> JPQLParameter<T>` | `create(T value, Class<? extends T> type, com.holonplatform.core.temporal.TemporalType temporalType)` Create a new `JPQLParameter`.
    `T` | `getValue()` Get the parameter value

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getValue

          T getValue()

      Get the parameter value
      Returns:
        the parameter value, maybe `null`

    - #### create

          static <T> JPQLParameter<T> create(T value,
                                             Class<? extends T> type)

      Create a new `JPQLParameter`.
      Type Parameters:
        `T` - Parameter value type
      Parameters:
        `value` - Parameter value
        `type` - Parameter value type (not null)
      Returns:
        A new `JPQLParameter`

    - #### create

          static <T> JPQLParameter<T> create(T value,
                                             Class<? extends T> type,
                                             com.holonplatform.core.temporal.TemporalType temporalType)

      Create a new `JPQLParameter`.
      Type Parameters:
        `T` - Parameter value type
      Parameters:
        `value` - Parameter value
        `type` - Parameter value type (not null)
        `temporalType` - Value temporal type
      Returns:
        A new `JPQLParameter`

Copyright © 2019 The Holon Platform. All rights reserved.